### Name: multinf
### Title: Multiple inference
### Aliases: mintest mintest-class mintest,carpet-method
###   mintest,cube-method mintest,ANY-method show,mintest-method
###   summary,mintest-method plot,mintest,missing-method margint
###   margint-class margint,carpet-method margint,cube-method
###   margint,ANY-method show,margint-method summary,margint-method
###   plot,margint,missing-method
### Keywords: multivariate htest iteration design

### ** Examples


#AML example from Huang et al. (2007) with data from
#Issa et al. (2004) and Petersdorf et al. (2007)
n<-c(10,31,17,100,50,50,101,50,50)
p<-c(0.00,0.45,0.65,0.30,0.71,0.70,0.59,0.64,0.75)
y<-list()
for(i in 1:9){
  y[[i]]<-0
  while((sum(y[[i]])!=round(n[i]*p[i]))||(length(y[[i]])==1)){
    y[[i]]<-rbinom(n[i],1,p[i])
  }
}

aml<-carpet(data=y,D=c(2,2))
mintest(aml,test="ztest",nboot=25000)
margint(aml,test="ztest",nboot=25000)






